import { OnInit } from "@angular/core";
import { AxiosApiClient, UserDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class LastNewUserRegistrationsWidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    totalUserEntriesCount: number;
    userEntries: UserDto[];
    displayedColumns: string[];
    constructor(axiosApiClient: AxiosApiClient);
    static getConfiguration(): WidgetConfigurationSchema;
    ngOnInit(): void;
    getUserRegistrations(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LastNewUserRegistrationsWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LastNewUserRegistrationsWidgetComponent, "last-new-user-registrations-widget", never, {}, {}, never, never, false, never>;
}
